# Database Servers

## Overview

The Database Servers node in the [Solution Explorer](/reference/servoy-developer/solution-explorer.md#overview) can be expanded to show each of the named [Database Server connections](/reference/servoy-developer/solution-explorer/resources/database-servers/database-server.md#overview) that have been configured.

## Commands Summary

The following commands are available for Database Servers node. They can be accessed by right-clicking the context menu:

| Command                                                                           | Summary                                                                                                                    |
| --------------------------------------------------------------------------------- | -------------------------------------------------------------------------------------------------------------------------- |
| [Connect to Existing Database](#connect-to-existing-database)                     | Creates a new DB Server connection to an existing database.                                                                |
| [Create New Database](#create-new-database)                                       | Creates a new named database (PostgreSQL) and creates a connection to it                                                   |
| [Synchronize with DB Server Information](#synchronize-with-db-server-information) | Opens the [Database Synchronization Wizard](/reference/servoy-developer/object-editors/database-synchronization-wizard.md) |
| [Reload Tables/Structure from DB](#reload-tables-table-structure-from-db)         | Reloads the schema from the database                                                                                       |

## Commands Details

The following commands are available for Database Servers node in the Solution Explorer. They can be accessed by right-clicking to get the context menu:

### Connect to existing database

Use this command to create new Database Server connection to an existing database. You will have the option to select the database vendor or you can choose `empty`. The [Database Server Connection Editor](/reference/servoy-developer/object-editors/database-server-connection-editor.md) will be opened. If you select a particular vendor, then some properties will be pre-filled. Enter your connection parameters and save.

### Create new database

Use this command to create new Database on an existing **Postgresql** Server. You will be prompted to enter a name for the database. The command will also create a Database Server connection and pre-fill the connection parameters and open the [Database Server Connection Editor](/reference/servoy-developer/object-editors/database-server-connection-editor.md).

### Synchronize with DB Server information

Use this command to synchronize between the database schema and the [Database Information (.dbi) files](/reference/servoy-developer/project-file-structure/workspace-folder/resources-directory/database-information-.dbi-files.md) in your project. This command will open the [database synchronization wizard](/reference/servoy-developer/object-editors/database-synchronization-wizard.md), where you can resolve differences between the schema and your .dbi files.

### Reload Tables/Table Structure from DB

Use this command to reload the database schema from the database. You can do this to check for changes which may have been made to the schema from outside of the Servoy development environment. If conflicts are found, you can fix them by [synchronizing with your .dbi files](#synchronize-with-db-server-information).


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.servoy.com/reference/servoy-developer/solution-explorer/resources/database-servers.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
